# CHANGELOG

## Unreleased

## v0.2.1.0 (2020-05-04)

+ Added benchmarks for lazy Text and lazy ByteString
+ Changed default behavior for Text and ByteString to use the actual types
  themselves as intermediate objects rather than construct Builders. This
  should give significant speedups in the common case of interpolating
  smaller outputs. Old behavior can be reenabled using Cabal
  flags `-ftext-builder` and `-fbytestring-builder`
+ Gated benchmarks for `Interpolation` and `interpolatedstring-perl6` behind
  a Cabal flag so that we can still be in Stackage without needing to remove
  these dependencies

## v0.2.0.3 (2020-04-26)

+ Commented out `interpolatedstring-perl6` benchmarks, since that library
  does not build on GHC 8.8.2

## v0.2.0.2 (2020-04-25)

+ Updated interpolation parser to use enabled language extensions
  (Thanks Cary Robbins!)

## v0.2.0.1 (2020-04-09)

+ Fixed bug caused when escaping a backslash right before an interpolation
  (Thanks Vladimir Stepchenko!)
+ Fixed behavior of `iii` (Thanks Vladimir Stepchenko!)

## v0.2.0.0 (2019-12-16)

+ Added `iii` interpolator for collapsing whitespace/newlines into
  single spaces
+ Added feature comparison to/benchmark with `neat-interpolation`
+ Just generally make the documentation better
+ Add homepage info to cabal file/Haddock documentation

## v0.1.0.1 (2019-05-06)

+ Remove Interpolation from the default benchmarks because it's not
  on Stackage

## v0.1.0.0 (2019-03-17)

+ Add support for using Text and ByteString `Builder`s as both sinks
  and sources
+ Add support for interpolating Chars without the surrounding quotes

## v0.0.1.0 (2019-03-10)

+ Initial release
